﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace Downloader
{
    class Program
    {
        static void Main(string[] args)
        {
            String[] Urls = "https://images.habbo.com/dcr/hof_furni/58643/room_info15_clouds.swf|https://images.habbo.com/dcr/hof_furni/58643/room_info15_lamp1.swf|https://images.habbo.com/dcr/hof_furni/58643/room_info15_bench.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_dvd2.swf|https://images.habbo.com/dcr/hof_furni/58643/room_info15_shrub3.swf|https://images.habbo.com/dcr/hof_furni/58750/room_info15_shrub2.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_dvd1.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_hotdog.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_awn.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_carrot.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_table1.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_gzb.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_wbench.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_soda.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_table3.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_table2.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_blanket.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_chair1.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_wood.swf|https://images.habbo.com/dcr/hof_furni/59672/room_pcnc15_bbq.swf".Split('|');

            WebClient client = new WebClient();

            foreach (String url in Urls) {

                client.DownloadFile(url, GetFileNameFromUrl(url));
            }
        }

        static string GetFileNameFromUrl(string url)
        {
            Uri uri;
            if (!Uri.TryCreate(url, UriKind.Absolute, out uri))
                uri = new Uri("https://images.habbo.com/dcr/hof_furni/");

            return Path.GetFileName(uri.LocalPath);
        }
    }
}
